--
-- Getreide transportable .lua 
-- Specialization transportable  Seed
--
-- www.LS-Landtechnik.de
-- @author  LS-Landtechnik.de & DarkMichl
-- @date:		25/11/10
-- @version:	v1.0
-- @copyright:	LS-Landtechnik.de  & DarkMichl



Seeding = {};

function Seeding.prerequisitesPresent(specializations)
    return true
end;
function Seeding:load(xmlFile)
    self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger411#index"));
	table.insert(g_currentMission, SowingMachineFillTrigger:new(self.trigger));
end;

function Seeding:delete()
	removeTrigger(self.triggerID);
end;

function Seeding:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Seeding:keyEvent(unicode, sym, modifier, isDown)
end;

function Seeding:update(dt)
end;

function Seeding:draw()
end;

